%define rel	1

Summary:	Reference database and bibliography tool
Name:		refdb
Version:	0.9.9
Release:	%mkrel 10
License:	GPLv2+
Group:		Sciences/Computer science
URL:		http://refdb.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/sourceforge/refdb/%{name}-%{version}-%{rel}.tar.gz
Source1:	refdb-README.urpmi
Patch0:		refdb.in.patch
Patch1:		refdb-0.9.9-1-fix-format-errors.patch
Patch2:		refdb-0.9.9-1-fix-underlinking.patch
Patch3:		refdb-0.9.9-1-fix-doc-installation.patch
Requires:	apache-mod_php => 5
BuildRequires:	btparse
BuildRequires:	libdbi-devel	
BuildRequires:	libexpat-devel
BuildRequires:	libncurses-devel
BuildRequires:	libreadline-devel
BuildRequires:	gettext-devel
BuildRequires:	perl(MARC::Charset)
BuildRequires:	perl(MARC::Record)
BuildRequires:	perl(RefDB)
BuildRequires:	perl(Term::Clui)
BuildRequires:	perl(Text::Iconv)
BuildRequires:	perl(XML::Parser)
Requires(post): rpm-helper
Requires(preun): rpm-helper
%if %mdkversion < 201010
Requires(postun): rpm-helper
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
RefDB is a reference database and bibliography tool for
SGML, XML, and LaTeX documents, sort of a Reference
Manager or BibTeX for markup languages. It is portable and
known to run on Linux, FreeBSD, and Windows/Cygwin.

%package -n %{name}-clients
Summary:	Clients for using %{name}
Group:		Networking/Remote access

%description	-n %{name}-clients
Clients allowing to connect to the refdb server.

%prep		
%setup -q -n	%{name}-%{version}-%{rel}

cp %{SOURCE1}	README.urpmi
%patch0 -p 0
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1
autoreconf

%build
%configure2_5x --disable-rpath 
%make

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}/%{_localstatedir}/lib/%{name}/db

# LSB and pinit compliant initscript
install -D -m755 scripts/%{name} %{buildroot}/%{_initrddir}/%{name}

# Web interface
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/{css,images,includes,xsl}
install	phpweb/index.php	%{buildroot}%{_datadir}/%{name}
install phpweb/css/*.css	%{buildroot}%{_datadir}/%{name}/css
install phpweb/images/{*.gif,*.png}	%{buildroot}%{_datadir}/%{name}/images
install phpweb/includes/*.php	%{buildroot}%{_datadir}/%{name}/includes
install phpweb/xsl/*.xsl	%{buildroot}%{_datadir}/%{name}/xsl

# apache configuration
install -d -m 755 %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf << EOF
# RefDB Apache configuration
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
	Options +ExecCGI
	Order allow,deny
	Allow from all

    php_flag session.auto_start 1
    php_flag register_globals on
</Directory>
EOF

%makeinstall_std

find %{buildroot}%{_docdir} -name *~ | xargs rm -f

%clean
%{__rm} -rf	%{buildroot}

%post
%if %mdkversion < 201010
%_post_webapp
%endif
%_post_service	%{name}
chmod 1777 %{_datadir}/%{name}

%preun
%_preun_service	%{name}

%postun
%if %mdkversion < 201010
%_postun_webapp
%endif

%files
%defattr(-,root,root)
%{_bindir}/bib2ris-utf8
%{_bindir}/db2ris
%{_bindir}/eenc
%{_bindir}/en2ris
%{_bindir}/marc2ris
%{_bindir}/med2ris
%{_bindir}/refdb-backup
%{_bindir}/refdb-init
%{_bindir}/refdb-ms
%{_bindir}/refdb-restore
%{_bindir}/refdb-sruserver
%{_bindir}/refdb_dos2unix
%{_bindir}/refdb_latex2utf8txt
%{_bindir}/refdbd
%{_bindir}/refdbjade
%{_bindir}/refdbsru
%{_bindir}/refdbxml
%{_bindir}/refdbxp
%{_bindir}/runbib
%{_bindir}/refdbnd
%{_datadir}/%{name}
%{_initrddir}/refdb
%{_localstatedir}/lib/%{name}
%{_mandir}/*/*
%config(noreplace) %{_sysconfdir}/%{name}
%config(noreplace) %{webappconfdir}/%{name}.conf
%doc doc/*
%doc README.urpmi AUTHORS ChangeLog INSTALL NEWS README UPGRADING

%files -n %{name}-clients
%defattr(-,root,root)
%{_bindir}/refdbc
%{_bindir}/refdba
%{_bindir}/refdbib
%{_bindir}/refdbctl


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.9-10mdv2011.0
+ Revision: 609727
- even more fixes...

  + Funda Wang <fwang@mandriva.org>
    - update file list

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.9-9mdv2011.0
+ Revision: 609692
- fix build
- fix misfire
- rebuilt against new libdbi

* Sun Feb 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.9-7mdv2010.1
+ Revision: 501824
- add gettext-devel as build dependency, for running autoreconf
- fix php directives in apache configuration
- fix linking
- fix documentation installation
- install under %%{_datadir} instead of %%{_localstatedir}
- no need for a distinct php configuration file, apache configuration is enoug
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.9-6mdv2009.1
+ Revision: 354037
- fix format errors

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.9.9-5mdv2009.0
+ Revision: 260208
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.9.9-4mdv2009.0
+ Revision: 248337
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.9-2mdv2008.1
+ Revision: 171078
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix no-buildroot-tag

* Thu Dec 27 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.9-1mdv2008.1
+ Revision: 138605
- rebuild for new era
- don't package license file
- adjust installation step for changes to web interface
- drop refdbsearch.php.in.patch (superseded upstream)
- new license policy
- clean and simplify spec
- new release 0.9.9

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jan 16 2007 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8.1-1mdv2007.0
+ Revision: 109452
- Update to 0.9.8-1

* Fri Dec 08 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8-1mdv2007.1
+ Revision: 93640
- 0.9.8 final

* Fri Dec 01 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8-0.pre9.1mdv2007.1
+ Revision: 89685
- pre9

* Sun Nov 12 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8-0.pre8.3mdv2007.1
+ Revision: 83473
- revert buildrequires for libreadline
- increase minor release to get i586 and x86_64 builds
- Change dependency for libreadline for iurt
- Update to pre8 since pre6 and pre7 had building problems
- pre6 (build problems, reported upstream)
  pre7 (build problems, file missing, reported upstream)

* Thu Oct 26 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8-0.pre5.2mdv2007.1
+ Revision: 72721
- modify spec to take previous patch in account
- fix problem in the web interface personal search

* Fri Oct 13 2006 Stéphane Téletchéa <steletch@mandriva.org> 0.9.8-0.pre5.1mdv2006.0
+ Revision: 63787
- pre5
- Update to pre5
- Update to pre5
  Remove Requires on libdbi
- lidbi0 reintroduced instead of libdbi
  Dropped changelog due to repsys: pre4
  remove some permissions fixes (reported upstream and fixed)
  remove trailing backup files (reported upstream)
  adjust some buildrequires for 64 bits
- tab fix
- new LSB compliant initscript patch
- Add Short-Description to the init script patch for LSB compliance
- pre4
  remove some permissions fixes (reported upstream and fixed)
  remove trailing backup files (reported upstream)
  adjust some buildrequires for 64 bits...
- Import refdb

* Tue Aug 29 2006 Stphane Tletcha <steletch@mandriva.org> 0.9.8-0.pre3.1
- pre3
- fix prerelease source address

* Thu Aug 24 2006 Stphane Tletcha <steletch@mandriva.org> 0.9.8-0.pre1.2
- remove libdir in files since it is used only in debug files (and thus not necessary here)

* Tue Aug 22 2006 Stphane Tletcha <steletch@mandriva.org> 0.9.8-0.pre1.1mdv
- 0.9.8-pre1 (fixes marc2ris, patch dropped), better UTF8 handling, web interface improvement
- Workaround for docdir -pre1 handling
- Dependencies in the specfile reworked

* Tue Aug 22 2006 Stphane Tletcha <steletch@mandriva.org> 0.9.7-2mdv2007.0
- Reenable some dependencies since the rebuild bot needs them

* Thu Jul 27 2006 Stphane Tletcha <steletch@mandriva.org> 0.9.7-1mdv2007.0
- Initial release, with rpm construction taken from Markus Pilzecker <mp@dfki.de>'s work
- Fix some permissions
- Add a patch for marc2ris
- Add a warning in README.urpmi for the www interface since it proves to seems badly functional
- Enhanced init script file
- The phpini parameters are commented since some parameters are defaults in the distribution

